<?xml version="1.0" encoding="utf-8"?>

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg_gray"
    android:fitsSystemWindows="true"
    android:orientation="vertical">

    <android.support.v4.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">


            <android.support.v7.widget.AppCompatAutoCompleteTextView
                android:id="@+id/search_game_input"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/content_padding"
                android:layout_marginStart="@dimen/content_padding"
                android:layout_marginTop="@dimen/content_padding_30"
                android:layout_marginBottom="@dimen/content_padding"
                android:background="@drawable/shape_blue_white_stroke_rectangle_small"
                android:hint="请输入游戏名称"
                android:imeOptions="actionSearch"
                android:maxLength="40"
                android:paddingBottom="@dimen/dp_10"
                android:paddingEnd="@dimen/dp_10"
                android:paddingStart="@dimen/dp_10"
                android:paddingTop="@dimen/dp_10"
                android:singleLine="true"
                android:textColor="@color/black_666666"
                android:textColorHint="@color/txt_gray_929292"
                android:textSize="@dimen/text_size_3" />
            <TextView
                android:id="@+id/search_game_bt"
                style="@style/style_button_newbie_task"
                android:layout_width="wrap_content"
                android:layout_gravity="center_horizontal"
                android:paddingEnd="50dp"
                android:paddingStart="50dp"
                android:text="搜索" />

            <LinearLayout
                android:id="@+id/search_game_hot"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_padding_40"
                    android:text="热门游戏：" />

                <com.sheep.gamegroup.util.MyGridview
                    android:id="@+id/search_game_hot_list"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/content_padding_30"
                    android:layout_marginStart="@dimen/content_padding_30"
                    android:layout_marginTop="@dimen/content_padding_20"
                    android:gravity="center_horizontal"
                    android:horizontalSpacing="@dimen/content_padding_13"
                    android:listSelector="@color/transparent"
                    android:numColumns="3"
                    android:scrollbars="none"
                    android:verticalSpacing="@dimen/content_padding" />
            </LinearLayout>

            <android.support.v7.widget.RecyclerView
                android:id="@+id/search_game_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/content_padding"
                android:layout_marginBottom="@dimen/content_padding"
                android:paddingBottom="@dimen/content_padding"
                android:paddingTop="@dimen/content_padding" />
        </LinearLayout>
    </android.support.v4.widget.NestedScrollView>

    <include
        layout="@layout/empty_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />
</LinearLayout>
